"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getViteConfig = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
const ts_node_1 = require("ts-node");
const getViteConfig = (log, dirName) => {
    const service = (0, ts_node_1.register)({ transpileOnly: true });
    log(`dirName${dirName}`);
    const filePath = path_1.default.resolve(dirName, "./vite.config.ts");
    log(`filePath${filePath}`);
    const src = (0, fs_1.readFileSync)(filePath);
    const outputFilePath = path_1.default.resolve(__dirname, "vite.config.js");
    const compiledTs = service.compile(src.toString(), "vite.config.ts");
    (0, fs_1.writeFileSync)(outputFilePath, compiledTs);
    const config = require("./vite.config.js").default;
    (0, fs_1.unlinkSync)(outputFilePath);
    return config;
};
exports.getViteConfig = getViteConfig;
